Skip to Content
ELK Developers

GET /v1/orders/{order_id}

Get an order by ID

Download .md
GET
/v1/orders/{order_id}

Authorization

ApiKey
headerAuthorizationBearer <token>

Send Authorization: Bearer over HTTPS. Each key is associated with an account and environment. Invalid, expired or revoked keys return 401.

Path Parameters

order_id*string

UUID identifier; server responses use lowercase canonical spelling.

Formatuuid
Length36 <= length <= 36

Response Body

Current order report with immutable quote terms

application/json
  1. response
order_id*Identifier

UUID identifier; server responses use lowercase canonical spelling.

Formatuuid
Length36 <= length <= 36
status*string

Current order status.

Value in"pending""filled""cancelled"
updated_at*UtcTimestamp

Time the quote was accepted.

Formatdate-time
trade_id*Identifier

UUID identifier; server responses use lowercase canonical spelling.

Formatuuid
Length36 <= length <= 36
quote*

Quoted price, final pay/receive amounts and expiry. Use pay and receive as the complete exchange amounts.

accepted_at*UtcTimestamp

Time the quote was accepted.

Formatdate-time
Example Request
curl -X GET 'https://api.elkcrypto.com/sandbox/v1/orders/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "order_id": "93101167-9065-4b9c-b98b-5d789a3ed9fe",  "status": "pending",  "updated_at": "2019-08-24T14:15:22Z",  "trade_id": "716cb486-5256-4659-973c-189b58daa723",  "quote": {    "quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992",    "symbol": "string",    "market": "string",    "side": "buy",    "price": "string",    "pay": {      "asset": "string",      "amount": "string"    },    "receive": {      "asset": "string",      "amount": "string"    },    "issued_at": "2019-08-24T14:15:22Z",    "expires_at": "2019-08-24T14:15:22Z"  },  "accepted_at": "2019-08-24T14:15:22Z"}